plot2sets.FCS {rflowcyt} | R Documentation

## Create a scatterplot to summaryze and compare two series of FCS objects

### Description

Create a scatterplot to summaryze and compare 1 paraneter from two series of FCS objects stored in 2 different plates. The points are colored according to their position in the plate (row or column number.)

### Usage

    plot2sets.FCS(data1,data2,varpos=c(1),FUN,nrow=8,ncol=12,ind=c(1:96),col="row",labeling=TRUE,...)

### Arguments

`data1` | a list of fluorescent data from one (or more) FCS object(s) or a cytoset
`data2` | a list of fluorescent data from one (or more) FCS object(s) or a cytoset
`varpos` | the numerical column variable position of the FCS objects
`FUN` | function to summaryze the distribution of the data, e.g. mean, median, IQR, MODE
`col` |
`nrow` | numeric, number of rows per plate
`ncol` | numeric, number of columns per plate
`ind` | numeric vector, index of the wells to be plotted
`labeling` |
`...` | any other arguments are passed to the `plot` function

### Value

None.

### Author(s)

Nolwenn Le Meur

### See Also

`plot`

### Examples

      ##Example I:
      ##data(flowcyt.data)

     ##Draw a scatterplot of the median values
     ##of the Foward scatter and the Side scatter parameters
     ##of each FCS file. The files correspond to samples store in a 96 well plate.
     ##plot2sets.FCS(flowcyt.data,varpos=c(1,2),FUN1=median,nrow=8,ncol=10,ind=c(1:80),col="row",pch="*",labeling=FALSE,xlim=c(0,300),ylim=c(0,300),main="FSCmedian vs.SSCmedian by row",xlab="SSC median",ylab="FSC median")

[Package rflowcyt version 1.4.0 Index]